C*********************************************************************
C
C     PROGRAM fxsurf
C
C     ʿѿʿ®
C
C      1999/11/10 
C
C*********************************************************************
      program vsurf
*-----------------------------------------------------
      implicit real*8 ( a-h, o-z )
*-----------------------------------------------------

#include "grid_size_M.f"

      parameter ( nbr3 = 3*((nx+6)*(nz+6)/16+1) )
*-----------------------------------------------------
      integer ibr(nbr3)
*-----------------------------------------------------
      parameter ( day = 86400.0 )
      parameter ( hour = 3600.0 )

      dimension
     \     tempg ( -2:nxb,nzg )

      real*4 
     \     tsfc (nx+1),
     \     xplot(nz+1)

      character*2 mint
      character*2 lt
      character*8 ltime

      character*2 date
      character*14 header

*-----------------------------------------------------
      
      open (11,file='exparam')
      read (11,*) irun
      read (11,*) time0, nloop1, nloop2, dtime, ntmoni, ntkubu, times
      read (11,*) ylat, als
      close(11)

      call FOPEN ( irun+1 )

      if ( time0 == 0.0 ) then
         nloop1 = nloop1 +1
      end if

      write(6,*) 'data number = ', nloop1
      write(6,*) 'INPUT DATA BEGINING, END, & INTERVAL' 
      write(6,*) 'itb ite interval ?'
      read (*,*) itb, ite, interv

      call sgpwsn
      read(*,*) iws
      CALL SWISET('IWIDTH',  720)
      CALL SWISET('IHEIGHT', 500)

      call gropn(iws)
      call swlset( 'LALT',  .TRUE. )
      call sglset( 'LFULL', .TRUE. )
      call sglset( 'LCORNER', .FALSE. )
      call uzfact(0.6)

      do ix = 1, nx+1
         xplot(ix) = 0.1 * (ix - 1)
      end do

      do it = 1, nloop1

         read(40) time, ((tempg(ix,iz),ix=-2,nxb), iz=1,nzg)
         write(6,*) 'reading time = ', time

         if ( it .ge. itb   .and.  it .le. ite ) then
            if ( mod( (it-itb), interv ) .eq. 0 ) then

            write(6,*) 'writing time = ', time

            do IX = 1, NX+1
               TSFC(IX) = tempg(IX, NZG)
            end do
          
c*** Ѵ: ä LT ************************************
            time = time + times
            write(date,'(I2.2)') INT( time / day ) + 1

            time = ( time - INT( time / day ) * day ) / hour 

            if ( INT(time) .ge. 24 ) then
               time = time - 24
            end if

            write(lt,'(I2.2)') INT(time)
            write(mint, '(I2.2)') INT( MOD(time,1)*60.0 )

            ltime = 'LT=' // lt // ':' // mint
            header = 'day' // date  // ' ' // ltime

c**************************************************************

            call grfrm
            call grswnd ( 0.0, 51.2, 160., 300. )
            call grsvpt ( 0.2, 0.9, 0.25, 0.5 )
            call grstrn (1)
            call grstrf
            call ussttl ( '', 'X[km]', 'Surface Temp.', '[K]' )
            call usdaxs
            call uxsttl ( 'T', header, 1. )
            call uulinz ( nx+1, xplot, tsfc, 1, 3 )

            end if
         end if

      end do

      call grcls

      call FCLOSE

      end
